//////////////////////////////////////////////////////////////////////////////
// C4Projectile.
///////////////////////////////////////////////////////////////////////////////
class C4Projectile extends GrenadeProjectile;

#exec OBJ LOAD FILE=TnMesh.usx
#exec OBJ LOAD FILE=TnSound.uax

///////////////////////////////////////////////////////////////////////////////
simulated function GenExplosion(vector HitLocation, vector HitNormal, Actor Other)
{
	local C4Explosion exp;
	local vector WallHitPoint;

	if(Role == ROLE_Authority)
	{
		if(Other != None
			&& Other.bStatic)
		{
			// Make sure the force of this explosion is all the way against the wall that
			// we hit
			WallHitPoint = HitLocation - FORCE_RAD_CHECK*HitNormal;
			Trace(HitLocation, HitNormal, WallHitPoint, HitLocation);
		}
		else
			WallHitPoint = HitLocation;
		exp = spawn(class'C4Explosion',GetMaker(),,HitLocation + ExploWallOut*HitNormal);
		exp.CheckForHitType(Other);
		exp.ShakeCamera(exp.ExplosionDamage);
		exp.ForceLocation = WallHitPoint;
	}
 	Destroy();
}

defaultproperties
{
     Health=20
     DrawType=DT_StaticMesh
     StaticMesh=StaticMesh'TnMesh.Bomb_on'
	 AmbientSound=Sound'TnSound.BombAlarm'
	 SoundRadius=100.000000
     SoundVolume=40
}
