///////////////////////////////////////////////////////////////////////////////
// Phaser ammo
///////////////////////////////////////////////////////////////////////////////
class PhaserAmmoInv extends P2AmmoInv;

var Sound ShockerHit;

///////////////////////////////////////////////////////////////////////////////
// Never switch at the end of an anim.
///////////////////////////////////////////////////////////////////////////////
simulated function bool HasAmmoFinished()
{
	return true;
}

///////////////////////////////////////////////////////////////////////////////
// Process a trace hitting something
///////////////////////////////////////////////////////////////////////////////
function ProcessTraceHit(Weapon W, Actor Other, Vector HitLocation, Vector HitNormal, Vector X, Vector Y, Vector Z)
{
	local SparkHitMachineGun spark1;
	local Rotator NewRot;

	if ( Other == None )
		return;

	if(Other.bStatic)
	{
		spawn(class'MachinegunBulletHitPack',W.Owner, ,HitLocation, Rotator(HitNormal));
		spark1 = Spawn(class'Fx.SparkHitMachineGun',,,HitLocation);
//		Instigator.PlayOwnedSound(ShockerHit, SLOT_Misc, 1.0);
	}

	if ( (Other != self) && (Other != Owner) ) 
		{
		Instigator.PlayOwnedSound(ShockerHit, SLOT_Misc, 1.0);

		Other.TakeDamage(DamageAmount, Pawn(Owner), HitLocation, MomentumHitMag*X, DamageTypeInflicted);
		
		if(ShockerWeapon(Pawn(Owner).Weapon) != None
			&& Pawn(Other) != None)
			{
			//ShockerWeapon(Pawn(Owner).Weapon).MakeSparks();
			ShockerWeapon(Pawn(Owner).Weapon).MakePawnLightning(Pawn(Other));
			}
		}
		
	else 
	{
		Other.TakeDamage(DamageAmount, Pawn(Owner), HitLocation, MomentumHitMag*X, DamageTypeInflicted);

		if((Pawn(Other) != None && Other != Owner)
			|| PeoplePart(Other) != None
			|| CowheadProjectile(Other) != None)
	}
}


///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
//     ShockerHit=Sound'TnSound.Shot_Phaser_hit'
     DamageAmount=100.000000
	 MomentumHitMag=50000.000000
     DamageTypeInflicted=Class'TnInventory.PhaserDamage'
     MaxAmmo=100
     bLeadTarget=True
     bInstantHit=True
     WarnTargetPct=0.200000
     RefireRate=0.990000
     Texture=Texture'HUDPack.Icons.Icon_Weapon_Tazer'
}
